> ## Documentation Index
> Fetch the complete documentation index at: https://developer.embedly.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet

> The endpoint is designed to create a new wallet for a customer.

<Info>
  **To improve performance on your system, upon successful creation of a wallet
  in favour of a customer, the returned walletId, accountNumber and bankCode
  should be stored in your database**
</Info>

## Request Body

<ParamField body="customerId" type="string" required>
  The ID of the customer who owns this wallet. *(Must be a UUID)* **Example:**
  "3fa85f64-5717-4562-b3fc-2c963f66afa6"
</ParamField>

<ParamField body="currencyId" type="string" required>
  ID of the currency for this wallet. *(Must be a UUID)* **Example:**
  "3fa85f64-5717-4562-b3fc-2c963f66afa6" `The value should be gotten from the
      get currency endpoint in the wallet utils section`
</ParamField>

<ParamField body="name" type="string" required>
  Name of the wallet or wallet owner. **Example:** "Emmanuel Emah"
</ParamField>

<ResponseExample>
  ```json 200 Success theme={null}
  {
  	"message": "Wallet created successfully.",
  	"walletId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  	"virtualAccount": {
  		"accountNumber": "9710000498",
  		"bankCode": "232",
  		"bankName": "Sterling"
  	},
  	"mobNum": "2345678880"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "code": "404",
    "success": false,
    "message": "Customer not found",
    "data": null
  }
  ```

  ```json 500 Internal Server Error theme={null}
  {
    "code": "500",
    "success": false,
    "message": "An unexpected error occurred",
    "data": null
  }
  ```
</ResponseExample>
